通知ハンドラー
GET https://uptime4.com/api/notification-handlers/
curl --request GET \
--url 'https://uptime4.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | どのフィールドで検索していますか。許可される値は次のとおりです: name. |
| is_enabled | オプション ブール値 | |
| type | オプション 文字列 | どのフィールドで検索していますか。許可される値は次のとおりです: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id. |
| datetime_field | オプション 文字列 | 許可される値: datetime, last_datetime |
| datetime_start | オプション 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | オプション 文字列 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | オプション 文字列 | 結果を並べ替えるフィールド。許可される値は次のとおりです: notification_handler_id, datetime, last_datetime, name. |
| order_type | オプション 文字列 | 結果の順序。許可される値は、昇順の場合は ASC、降順の場合は DESC です。 |
| page | オプション 整数 | 結果を取得するページ番号。デフォルトは 1 です。 |
| results_per_page | オプション 整数 | ページごとに必要な結果の数。許可される値は次のとおりです: 10, 25, 50, 100, 250, 500, 1000。デフォルトは 25 です。 |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-21 02:12:18",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/notification-handlers?page=1",
"last": "https://uptime4.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/notification-handlers?page=1"
}
}
GET https://uptime4.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://uptime4.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-21 02:12:18",
}
}
POST https://uptime4.com/api/notification-handlers
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 必須 文字列 | - |
| type | 必須 文字列 | 許可される値: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id |
| オプション 文字列 | 利用可能な時期: type = email Email | |
| webhook | オプション 文字列 | 利用可能な時期: type = webhook Webhook URL |
| slack | オプション 文字列 | 利用可能な時期: type = slack Slack webhook URL |
| discord | オプション 文字列 | 利用可能な時期: type = discord Discord webhook URL |
| telegram | オプション 文字列 | 利用可能な時期: type = telegram Telegram API Token |
| telegram_chat_id | オプション 文字列 | 利用可能な時期: type = telegram Telegram Chat ID |
| microsoft_teams | オプション 文字列 | 利用可能な時期: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | オプション 文字列 | 利用可能な時期: type = google_chat Google Chat webhook URL |
| x_consumer_key | オプション 文字列 | 利用可能な時期: type = x Telegram API Token |
| x_consumer_secret | オプション 文字列 | 利用可能な時期: type = x Telegram API Token |
| x_access_token | オプション 文字列 | 利用可能な時期: type = x Telegram API Token |
| x_access_token_secret | オプション 文字列 | 利用可能な時期: type = x Telegram API Token |
| push_subscriber_id | オプション 文字列 | 利用可能な時期: type = push_subscriber_id Push subscriber |
| twilio | オプション 文字列 | 利用可能な時期: type = twilio Phone number |
| twilio_call | オプション 文字列 | 利用可能な時期: type = twilio_call Phone number |
| オプション 文字列 | 利用可能な時期: type = whatsapp Phone number |
curl --request POST \
--url 'https://uptime4.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://uptime4.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://uptime4.com/api/notification-handlers/{notification_handler_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | オプション 文字列 | - |
| type | オプション 文字列 | 許可される値: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id |
| オプション 文字列 | 利用可能な時期: type = email Email | |
| webhook | オプション 文字列 | 利用可能な時期: type = webhook Webhook URL |
| slack | オプション 文字列 | 利用可能な時期: type = slack Slack webhook URL |
| discord | オプション 文字列 | 利用可能な時期: type = discord Discord webhook URL |
| telegram | オプション 文字列 | 利用可能な時期: type = telegram Telegram API Token |
| telegram_chat_id | オプション 文字列 | 利用可能な時期: type = telegram Telegram Chat ID |
| microsoft_teams | オプション 文字列 | 利用可能な時期: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | オプション 文字列 | 利用可能な時期: type = google_chat Google Chat webhook URL |
| x_consumer_key | オプション 文字列 | 利用可能な時期: type = x Telegram API Token |
| x_consumer_secret | オプション 文字列 | 利用可能な時期: type = x Telegram API Token |
| x_access_token | オプション 文字列 | 利用可能な時期: type = x Telegram API Token |
| x_access_token_secret | オプション 文字列 | 利用可能な時期: type = x Telegram API Token |
| push_subscriber_id | オプション 文字列 | 利用可能な時期: type = push_subscriber_id Push subscriber |
| twilio | オプション 文字列 | 利用可能な時期: type = twilio Phone number |
| twilio_call | オプション 文字列 | 利用可能な時期: type = twilio_call Phone number |
| オプション 文字列 | 利用可能な時期: type = whatsapp Phone number | |
| is_enabled | オプション ブール値 | - |
curl --request POST \
--url 'https://uptime4.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://uptime4.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://uptime4.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://uptime4.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \